#{extends 'border.html'/}
<div class="container">
#{form @masterdata.ManufakturCtr.importSubmit(), method:'POST', class:'form-horizontal'}

    <div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				<li><a href="@{masterdata.ManufakturCtr.index()}">&{'merk.label'}</a></li>
				<li class="active">&{'impor.label'} &{'merk.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-12">
			<!-- Toolbar -->
			<div class="toolbar">
				#{backButton /}
				#{saveButton /}
			</div>
			<!-- End Toolbar -->
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-12">
			<div class="panel panel-default">
				<div class="panel-body">
					<div class="form-group required">
		                <label class="col-md-2 control-label">&{'nama_komoditas.label'}</label>
		                <div class="col-md-6">
		                    <select class="form-control" name="komoditas.id" required>
		                        <option value="">&{'pilih.label'}</option> #{list
		                        komoditasList, as:'k'}
		                        <option value="${k.id}">${k.nama_komoditas}</option> #{/list}
		                    </select>
		                </div>
		            </div>
		            <div class="form-group required">
			            <label class="col-md-2 control-label">&{'unggah_file.label'} &{'excel.label'}</label>
			            <div class="col-md-6">
			                <a href="@{'public/files/upload/template/template_import_manufaktur.xlsx'}" class="btn btn-info"><i class="fa fa-download"></i> &{'template_unduh.label'} &{'impor.label'} &{'merk.label'}</a>
			                <p>(&{'pembacaan_data_sel.label'} A4)</p>
			                
			                <input id="manufaktur_upload" name="manufaktur-json" multiple="multiple" type="file" required>
			                <input id="nama_manufaktur_arr" name="nama_manufaktur_arr" type="hidden" />
			                <p>&{'maksimum.label'} &{'ukuran_file.label'} 20 MB</p>
			            </div>
			        </div>
			        <div class="form-group">
			            <label class="col-md-2 control-label"></label>
			            <div class="col-md-6">
			                <table class="table table-condensed" id="tbl-manufaktur">
			                    <thead>
			                    	<tr><th>&{'merk.label'}</th></tr>
			                    </thead>
			                    <tbody>
			                    </tbody>
			                </table>
			            </div>
			        </div>
				</div>
			</div>
		</div>
	</div>
	
#{/form}
</div>

#{set 'moreScripts'}

<script type="text/javascript">
    $(document).on('change', '#manufaktur_upload', function (e) {
        doupload(e, process_wb);
    });

    function process_wb(wb) {
        var output = to_json(wb, 2);
        var res = output['MANUFAKTUR'];

        var content = '';
        var nama_manufaktur = [];

        $.each(res, function( index, value ) {
            content += '<tr>';
            content += '<td>' + value["Nama Manufaktur"] + '</td>';
            content += '</tr>';
        });

        $('#tbl-manufaktur tbody').html(content);
        $('#nama_manufaktur_arr').val(JSON.stringify(res));
    }

</script>

#{/set}